// Verilog
// created by TB

`include "kom5_register.v"
`include "kom5_1.v"
`include "kom5_2.v"
`include "kom5_3.v"
`include "kom5_4.v"
`include "kom5_5.v"

module kom5(PI_1, PI_2, PI_3, PI_4, PI_5, PI_6, PI_7, PI_8, PI_9, PI_10, PI_11, CLK, PO_1, PO_2, PO_3, PO_4);
input PI_1;
input PI_2;
input PI_3;
input PI_4;
input PI_5;
input PI_6;
input PI_7;
input PI_8;
input PI_9;
input PI_10;
input PI_11;
input CLK;
output PO_1;
output PO_2;
output PO_3;
output PO_4;

  TB1 iTB1(N6, N7, N8, N9, N10, N11, N12, N13);
  TB2 iTB2(N35, N36, N37, N38, N39, N40, N41, N42);
  TB3 iTB3(N64, N65, N66, N67, N68, N69, N70);
  TB4 iTB4(N84, N85, N86, N87);
  TB5 iTB5(N94, N95, N96, N97, N98, N99, N100, N101);
  dff r_1(CLK, N11, PO_1); // TB1, TB-1
  dff r_2(CLK, N12, PO_2); // TB1, TB-1
  dff r_3(CLK, N13, PO_3); // TB1, TB-1
  dff r_4(CLK, N40, PO_4); // TB2, TB-1
  dff r_5(CLK, N41, N6); // TB2, TB1
  dff r_6(CLK, N42, N7); // TB2, TB1
  dff r_7(CLK, N69, N8); // TB3, TB1
  dff r_8(CLK, N70, N9); // TB3, TB1
  dff r_9(CLK, N87, N10); // TB4, TB1
  dff r_10(CLK, N97, N35); // TB5, TB2
  dff r_11(CLK, N98, N36); // TB5, TB2
  dff r_12(CLK, N99, N37); // TB5, TB2
  dff r_13(CLK, N100, N38); // TB5, TB2
  dff r_14(CLK, N101, N39); // TB5, TB2
  dff r_15(CLK, PI_1, N64); // TB-1, TB3
  dff r_16(CLK, PI_2, N65); // TB-1, TB3
  dff r_17(CLK, PI_3, N66); // TB-1, TB3
  dff r_18(CLK, PI_4, N67); // TB-1, TB3
  dff r_19(CLK, PI_5, N68); // TB-1, TB3
  dff r_20(CLK, PI_6, N84); // TB-1, TB4
  dff r_21(CLK, PI_7, N85); // TB-1, TB4
  dff r_22(CLK, PI_8, N86); // TB-1, TB4
  dff r_23(CLK, PI_9, N94); // TB-1, TB5
  dff r_24(CLK, PI_10, N95); // TB-1, TB5
  dff r_25(CLK, PI_11, N96); // TB-1, TB5

  wire N6;
  wire N7;
  wire N8;
  wire N9;
  wire N10;
  wire N11;
  wire N12;
  wire N13;
  wire N35;
  wire N36;
  wire N37;
  wire N38;
  wire N39;
  wire N40;
  wire N41;
  wire N42;
  wire N64;
  wire N65;
  wire N66;
  wire N67;
  wire N68;
  wire N69;
  wire N70;
  wire N84;
  wire N85;
  wire N86;
  wire N87;
  wire N94;
  wire N95;
  wire N96;
  wire N97;
  wire N98;
  wire N99;
  wire N100;
  wire N101;

endmodule
